<?PHP
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------------+
// | <G a n e s h a> - Free Web Based Training System                           |
// +----------------------------------------------------------------------------+
// | <G a n e s h a> - Plate-forme de téléformation gratuite et en open source  |
// +----------------------------------------------------------------------------|
// | Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>           |
// +----------------------------------------------------------------------------+
// |           Developer : Georges CALDEIRA <gcaldeira@anemalab.org>            |
// +----------------------------------------------------------------------------+
// |              Infos on project <http://anemalab.org/>                       |
// +----------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by       |
// | the Free Software Foundation; either version 2 of the License, or          |
// | (at your option) any later version.                                        |
// |                                                                            |
// | This program is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of             |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              |
// | GNU General Public License for more details.                               |
// |                                                                            |
// | You should have received a copy of the GNU General Public License          |
// | along with this program; if not, write to the Free Software                |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA   |
// +----------------------------------------------------------------------------+

/**
* Page details d'un stagiaire
*
* @author	Georges Caldeira <gcaldeira@anemalab.org>
* @package	GaneshaCommun
*/
	/**
	* include des fichiers + verification de la cnx
	*/
	include_once("anema.inc.php");


	$id_membres	= $HTTP_GET_VARS['id_membres']	;

	$guserid = $id_membres ;

	$ClsColor->Read($guserid) ;

	/**
	* function main()
	* Affichage de la page des resultats
	*/
	InitPageHtml($st_texte['details'],false)	;
	Title($st_texte['details']." ".CSS($ClsMembre->GetNom($id_membres)." ".$ClsMembre->GetPrenom($id_membres)));
	BR();

	if ( $gusertype != STAGIAIRE ) {
		ListFormation()	;
	}
	BR();

		$ret = $ClsLog->read($id_membres) ;
		if ( $ret['cnt'] > 0 ) {
			SubTitle($tu_titre['histcnx'].' ('.$ret['cnt'].')')	;	
			BeginBorder("50%",$color2);
			print('<table width="100%" border="0" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF">');
			$tot = 0 ;
			for ( $i=0; $i<$ret['cnt']; $i++) {
				$res = explode(':',$ret[$i]['time']) ;
				$tot = $tot + ($res[0]*3600 ) + ($res[1]*60 ) + $res[2] ;
				put('<tr bgColor="'.GetColor($i).'"><td width="10%" bgColor="'.$color1.'" align="middle"><b>'.($i+1).'</b></td><td width="45%">&nbsp;'.$ret[$i]['date'].'</td><td width="45%">&nbsp;'.$ret[$i]['time'].'</td></tr>');
			}
			if ( $tot > 0 ) {
				put('<tr class="title2"  bgColor="'.$color2.'"><td width="10%" align="middle">'.$i.'</td><td width="45%">&nbsp;</td><td width="45%">&nbsp;<b>'.FormatTime($tot).'</b></td></tr>');				
			}
			print('</table>');
			CloseBorder();
		}

	CloseWindow()	;
	footer()		;
	ClosePageHtml()	;
?>